- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# QextScintillaDocument Class Reference

The QextScintillaDocument class represents a document to be editted. More...

`#include <qextscintilladocument.h>`

List of all members.

## Public Member Functions

- QextScintillaDocument ()
- QextScintillaDocument (const QextScintillaDocument &)
- QextScintillaDocument & operator= (const QextScintillaDocument &)

## Detailed Description

The QextScintillaDocument class represents a document to be editted.

It is an opaque class that can be attached to multiple instances of QextScintilla to create different simultaneous views of the same document. QextScintillaDocument uses implicit sharing so that copying class instances is a cheap operation.

## Constructor & Destructor Documentation

QextScintillaDocument::QextScintillaDocument | ( |  | ) |

Create a new unattached document.